package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/company/request"
	"sorbet/pkg/app"
)

type CompanyController struct {
	app.Controller[entities.Company, request.CompanyUpsertRequest]
}

func (ctr *CompanyController) InitRoutes(r *echo.Group) {
	ctr.RegisterRoutes("/companies", r)
}
