package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/config/request"
	"sorbet/pkg/app"
)

type ConfigGroupController struct {
	app.Controller[entities.ConfigGroup, request.ConfigGroupUpsertRequest]
}

// InitRoutes 实现路由注册接口
func (ctr *ConfigGroupController) InitRoutes(r *echo.Group) {
	ctr.RegisterRoutes("/config/groups", r)
}
