package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/feature/request"
	"sorbet/pkg/app"
)

type FeatureController struct {
	app.Controller[entities.Feature, request.FeatureUpsertRequest]
}

func (f *FeatureController) InitRoutes(r *echo.Group) {
	f.RegisterRoutes("/features", r)
}
